package com.neusoft.smart.pos.payorder.persistent.mapper;

import com.neusoft.smart.pos.payorder.persistent.domain.PayRefundOrder;
import com.neusoft.smart.pos.payorder.persistent.domain.PayRefundOrderExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PayRefundOrderMapper {
    int countByExample(PayRefundOrderExample example);

    int deleteByExample(PayRefundOrderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PayRefundOrder record);

    int insertSelective(PayRefundOrder record);

    List<PayRefundOrder> selectByExample(PayRefundOrderExample example);

    PayRefundOrder selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PayRefundOrder record, @Param("example") PayRefundOrderExample example);

    int updateByExample(@Param("record") PayRefundOrder record, @Param("example") PayRefundOrderExample example);

    int updateByPrimaryKeySelective(PayRefundOrder record);

    int updateByPrimaryKey(PayRefundOrder record);

    void batchInsert(@Param("items") List<PayRefundOrder> items);
}